<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Cursor Method (CursorConfig)
BaseDatabase Class See Also

Create a database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public Cursor Cursor(
    	CursorConfig cfg
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	cfg As CursorConfig _
    ) As Cursor

Visual C++

    public:
    Cursor^ Cursor(
    	CursorConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

#### Return Value

A newly created cursor

# See Also

BaseDatabase Class
Cursor Overload
BerkeleyDB Namespace